Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jde.debugger.command
Class DebugCommandFactory

    java.lang.Object
      |
      +--jde.debugger.command.DebugCommandFactory

public class DebugCommandFactory
extends java.lang.Object

DebugCommandFactory.java Created: Fri Jan 28 22:04:57 2000

Version:
  $Revision: 1.5 $
Author:
  Paul Kinnucan

Field Summary
`private java.util.HashMap` | `prototypes`
`static DebugCommandFactory` | `theFactory`

Constructor Summary
`protected` | `DebugCommandFactory()`

Method Summary
`DebugCommand` | `createCommand(java.lang.Integer appID, java.lang.Integer cmdID, java.lang.String cmdName, java.util.List args)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### prototypes

    private java.util.HashMap prototypes

### theFactory

    public static DebugCommandFactory theFactory

Constructor Detail

### DebugCommandFactory

    protected DebugCommandFactory()

Method Detail

### createCommand

    public final DebugCommand createCommand(java.lang.Integer appID,
                                            java.lang.Integer cmdID,
                                            java.lang.String cmdName,
                                            java.util.List args)
                                     throws JDEException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD